Skip to content

Ver información sobre la plantilla de correo electrónico

get

/templates/email/info

Utiliza este punto de conexión para obtener información sobre tus plantillas de correo electrónico.

Requisitos previos

Para utilizar este punto de conexión, necesitarás una clave de API con el permiso templates.email.info.

Límite de velocidad

Aplicamos el límite de velocidad predeterminado de Braze de 250 000 solicitudes por hora a este punto de conexión, como se documenta en Límites de velocidad de la API.

Parámetros de la solicitud

Parámetro Obligatorio Tipo de datos Descripción
email_template_id Obligatorio Cadena Ver el identificador de API de la plantilla de correo electrónico.

Ejemplo de solicitud

1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/templates/email/info?email_template_id={{email_template_id}}' \
--header 'Authorization: Bearer YOUR_REST_API_KEY'

Respuesta

1
2
3
4
5
6
7
8
9
10
11
12
13
{
  "email_template_id": (string) Your email template's API Identifier,
  "template_name": (string) The name of your email template,
  "description": (string) The email template description,
  "subject": (string) The email template subject line,
  "preheader": (optional, string) The email preheader used to generate previews in some clients),
  "body": (optional, string) The email template body that may include HTML,
  "plaintext_body": (optional, string) A plaintext version of the email template body,
  "should_inline_css": (optional, boolean) Whether there is inline CSS in the body of the template - defaults to the css inlining value for the workspace,
  "tags": (string) Tag names,
  "created_at": (string) The time the email was created at in ISO 8601,
  "updated_at": (string) The time the email was updated in ISO 8601
}

Las imágenes de esta respuesta se mostrarán en la variable body como HTML.

New Stuff!